# PLEASE adhere to the alphabetical ordering in this Makefile!
# Also indentation by a single tab

ACTIONSSOURCE = \
  Actions/Action.cpp \
  Actions/ActionHistory.cpp \
  Actions/ActionRegistry.cpp \
  Actions/ActionSequence.cpp \
  Actions/ActionTraits.cpp \
  Actions/ErrorAction.cpp \
  Actions/MakroAction.cpp \
  Actions/ManipulateAtomsProcess.cpp \
  Actions/MethodAction.cpp \
	Actions/OptionRegistry.cpp \
	Actions/OptionTrait.cpp \
  Actions/Process.cpp \
  Actions/Values.cpp \
  Actions/ValueStorage.cpp

ACTIONSHEADER = \
  Actions/Action.hpp \
  Actions/ActionExceptions.hpp \
  Actions/Action_impl_header.hpp \
  Actions/Action_impl_pre.hpp \
  Actions/ActionHistory.hpp \
  Actions/ActionRegistry.hpp \
  Actions/ActionSequence.hpp \
  Actions/ActionTraits.hpp \
  Actions/AtomsCalculation.hpp \
  Actions/AtomsCalculation_impl.hpp \
  Actions/Calculation.hpp \
  Actions/Calculation_impl.hpp \
  Actions/ErrorAction.hpp \
  Actions/MakroAction.hpp \
  Actions/ManipulateAtomsProcess.hpp \
  Actions/MethodAction.hpp \
	Actions/OptionRegistry.hpp \
	Actions/OptionTrait.hpp \
  Actions/Process.hpp \
  Actions/Values.hpp \
 	Actions/ValueStorage.hpp
  
ACTIONPROTOTYPESSOURCE = \
  ${ANALYSISACTIONSOURCE} \
  ${ATOMACTIONSOURCE} \
  ${CMDACTIONSOURCE} \
  ${FRAGMENTATIONACTIONSOURCE} \
  ${GRAPHACTIONSOURCE} \
  ${MOLECULEACTIONSOURCE} \
  ${PARSERACTIONSOURCE} \
  ${RANDONNUMBERSSOURCE} \
  ${SELECTIONATOMACTIONSOURCE} \
  ${SELECTIONMOLECULEACTIONSOURCE} \
  ${TESSELATIONACTIONSOURCE} \
  $(UNDOACTIONSOURCE) \
  ${WORLDACTIONSOURCE}

ACTIONPROTOTYPESHEADER = \
  ${ANALYSISACTIONHEADER} \
  ${ATOMACTIONHEADER} \
  ${CMDACTIONHEADER} \
  ${FRAGMENTATIONACTIONHEADER} \
  ${GRAPHACTIONHEADER} \
  ${MOLECULEACTIONHEADER} \
  ${PARSERACTIONHEADER} \
  ${RANDONNUMBERSHEADER} \
  ${SELECTIONATOMACTIONHEADER} \
  ${SELECTIONMOLECULEACTIONHEADER} \
  ${TESSELATIONACTIONHEADER} \
  $(UNDOACTIONHEADER) \
  ${WORLDACTIONHEADER}

ACTIONPROTOTYPESDEFS = \
  ${ANALYSISACTIONDEFS} \
  ${ATOMACTIONDEFS} \
  ${CMDACTIONDEFS} \
  ${FRAGMENTATIONACTIONDEFS} \
  ${GRAPHACTIONDEFS} \
  ${MOLECULEACTIONDEFS} \
  ${PARSERACTIONDEFS} \
  ${RANDONNUMBERSDEFS} \
  ${SELECTIONATOMACTIONDEFS} \
  ${SELECTIONMOLECULEACTIONDEFS} \
  ${TESSELATIONACTIONDEFS} \
  $(UNDOACTIONDEFS) \
  ${WORLDACTIONDEFS}

ANALYSISACTIONSOURCE = \
  Actions/AnalysisAction/DipoleAngularCorrelationAction.cpp \
  Actions/AnalysisAction/DipoleCorrelationAction.cpp \
  Actions/AnalysisAction/MolecularVolumeAction.cpp \
  Actions/AnalysisAction/PairCorrelationAction.cpp \
  Actions/AnalysisAction/PointCorrelationAction.cpp \
  Actions/AnalysisAction/PrincipalAxisSystemAction.cpp \
  Actions/AnalysisAction/SurfaceCorrelationAction.cpp
ANALYSISACTIONHEADER = \
  Actions/AnalysisAction/DipoleAngularCorrelationAction.hpp \
  Actions/AnalysisAction/DipoleCorrelationAction.hpp \
  Actions/AnalysisAction/MolecularVolumeAction.hpp \
  Actions/AnalysisAction/PairCorrelationAction.hpp \
  Actions/AnalysisAction/PointCorrelationAction.hpp \
  Actions/AnalysisAction/PrincipalAxisSystemAction.hpp \
  Actions/AnalysisAction/SurfaceCorrelationAction.hpp
ANALYSISACTIONDEFS = \
  Actions/AnalysisAction/DipoleAngularCorrelationAction.def \
  Actions/AnalysisAction/DipoleCorrelationAction.def \
  Actions/AnalysisAction/MolecularVolumeAction.def \
  Actions/AnalysisAction/PairCorrelationAction.def \
  Actions/AnalysisAction/PointCorrelationAction.def \
  Actions/AnalysisAction/PrincipalAxisSystemAction.def \
  Actions/AnalysisAction/SurfaceCorrelationAction.def

ATOMACTIONSOURCE = \
  Actions/AtomAction/AddAction.cpp \
  Actions/AtomAction/ChangeElementAction.cpp \
  Actions/AtomAction/RemoveAction.cpp \
  Actions/AtomAction/RotateAroundOriginByAngleAction.cpp \
  Actions/AtomAction/SaveSelectedAtomsAction.cpp \
  Actions/AtomAction/TranslateAction.cpp
ATOMACTIONHEADER = \
  Actions/AtomAction/AddAction.hpp \
  Actions/AtomAction/ChangeElementAction.hpp \
  Actions/AtomAction/RemoveAction.hpp \
  Actions/AtomAction/RotateAroundOriginByAngleAction.hpp \
  Actions/AtomAction/SaveSelectedAtomsAction.hpp \
  Actions/AtomAction/TranslateAction.hpp
ATOMACTIONDEFS = \
  Actions/AtomAction/AddAction.def \
  Actions/AtomAction/ChangeElementAction.def \
  Actions/AtomAction/RemoveAction.def \
  Actions/AtomAction/RotateAroundOriginByAngleAction.def \
  Actions/AtomAction/SaveSelectedAtomsAction.def \
  Actions/AtomAction/TranslateAction.def

CMDACTIONSOURCE = \
  Actions/CommandAction/BondLengthTableAction.cpp \
  Actions/CommandAction/ElementDbAction.cpp \
  Actions/CommandAction/FastParsingAction.cpp \
  Actions/CommandAction/HelpAction.cpp \
  Actions/CommandAction/VerboseAction.cpp \
  Actions/CommandAction/VersionAction.cpp \
  Actions/CommandAction/WarrantyAction.cpp
CMDACTIONHEADER = \
  Actions/CommandAction/BondLengthTableAction.hpp \
  Actions/CommandAction/ElementDbAction.hpp \
  Actions/CommandAction/FastParsingAction.hpp \
  Actions/CommandAction/HelpAction.hpp \
  Actions/CommandAction/VerboseAction.hpp \
  Actions/CommandAction/VersionAction.hpp \
  Actions/CommandAction/WarrantyAction.hpp
CMDACTIONDEFS = \
  Actions/CommandAction/BondLengthTableAction.def \
  Actions/CommandAction/ElementDbAction.def \
  Actions/CommandAction/FastParsingAction.def \
  Actions/CommandAction/HelpAction.def \
  Actions/CommandAction/VerboseAction.def \
  Actions/CommandAction/VersionAction.def \
  Actions/CommandAction/WarrantyAction.def

FRAGMENTATIONACTIONSOURCE = \
  Actions/FragmentationAction/FragmentationAction.cpp
FRAGMENTATIONACTIONHEADER = \
  Actions/FragmentationAction/FragmentationAction.hpp
FRAGMENTATIONACTIONDEFS = \
  Actions/FragmentationAction/FragmentationAction.def

GRAPHACTIONSOURCE = \
  Actions/GraphAction/CreateAdjacencyAction.cpp \
  Actions/GraphAction/DepthFirstSearchAction.cpp \
  Actions/GraphAction/SubgraphDissectionAction.cpp
GRAPHACTIONHEADER = \
  Actions/GraphAction/CreateAdjacencyAction.hpp \
  Actions/GraphAction/DepthFirstSearchAction.hpp \
  Actions/GraphAction/SubgraphDissectionAction.hpp
GRAPHACTIONDEFS = \
  Actions/GraphAction/CreateAdjacencyAction.def \
  Actions/GraphAction/DepthFirstSearchAction.def \
  Actions/GraphAction/SubgraphDissectionAction.def

MOLECULEACTIONSOURCE = \
  Actions/MoleculeAction/BondFileAction.cpp \
  Actions/MoleculeAction/ChangeNameAction.cpp \
  Actions/MoleculeAction/CopyAction.cpp \
  Actions/MoleculeAction/CreateMicelleAction.cpp \
  Actions/MoleculeAction/FillWithMoleculeAction.cpp \
  Actions/MoleculeAction/FillVoidWithMoleculeAction.cpp \
  Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.cpp \
  Actions/MoleculeAction/LoadAction.cpp \
  Actions/MoleculeAction/RotateAroundSelfByAngleAction.cpp \
  Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.cpp \
  Actions/MoleculeAction/SaveSelectedMoleculesAction.cpp \
  Actions/MoleculeAction/SaveAdjacencyAction.cpp \
  Actions/MoleculeAction/SaveBondsAction.cpp \
  Actions/MoleculeAction/SaveTemperatureAction.cpp \
  Actions/MoleculeAction/SuspendInWaterAction.cpp \
  Actions/MoleculeAction/VerletIntegrationAction.cpp
MOLECULEACTIONHEADER = \
  Actions/MoleculeAction/BondFileAction.hpp \
  Actions/MoleculeAction/ChangeNameAction.hpp \
  Actions/MoleculeAction/CopyAction.hpp \
  Actions/MoleculeAction/CreateMicelleAction.hpp \
  Actions/MoleculeAction/FillWithMoleculeAction.hpp \
  Actions/MoleculeAction/FillVoidWithMoleculeAction.hpp \
  Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.hpp \
  Actions/MoleculeAction/LoadAction.hpp \
  Actions/MoleculeAction/RotateAroundSelfByAngleAction.hpp \
  Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.hpp \
  Actions/MoleculeAction/SaveSelectedMoleculesAction.hpp \
  Actions/MoleculeAction/SaveAdjacencyAction.hpp \
  Actions/MoleculeAction/SaveBondsAction.hpp \
  Actions/MoleculeAction/SaveTemperatureAction.hpp \
  Actions/MoleculeAction/SuspendInWaterAction.hpp \
  Actions/MoleculeAction/VerletIntegrationAction.hpp
MOLECULEACTIONDEFS = \
  Actions/MoleculeAction/BondFileAction.def \
  Actions/MoleculeAction/ChangeNameAction.def \
  Actions/MoleculeAction/CopyAction.def \
  Actions/MoleculeAction/CreateMicelleAction.def \
  Actions/MoleculeAction/FillWithMoleculeAction.def \
  Actions/MoleculeAction/FillVoidWithMoleculeAction.def \
  Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.def \
  Actions/MoleculeAction/LoadAction.def \
  Actions/MoleculeAction/RotateAroundSelfByAngleAction.def \
  Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def \
  Actions/MoleculeAction/SaveSelectedMoleculesAction.def \
  Actions/MoleculeAction/SaveAdjacencyAction.def \
  Actions/MoleculeAction/SaveBondsAction.def \
  Actions/MoleculeAction/SaveTemperatureAction.def \
  Actions/MoleculeAction/SuspendInWaterAction.def \
  Actions/MoleculeAction/VerletIntegrationAction.def

PARSERACTIONSOURCE = \
  Actions/ParserAction/ParseTremoloPotentialsAction.cpp \
  Actions/ParserAction/SetParserParametersAction.cpp \
  Actions/ParserAction/SetOutputFormatsAction.cpp \
  Actions/ParserAction/SetTremoloAtomdataAction.cpp
PARSERACTIONHEADER = \
  Actions/ParserAction/ParseTremoloPotentialsAction.hpp \
  Actions/ParserAction/SetParserParametersAction.hpp \
  Actions/ParserAction/SetOutputFormatsAction.hpp \
  Actions/ParserAction/SetTremoloAtomdataAction.hpp
PARSERACTIONDEFS = \
  Actions/ParserAction/ParseTremoloPotentialsAction.def \
  Actions/ParserAction/SetParserParametersAction.def \
  Actions/ParserAction/SetOutputFormatsAction.def \
  Actions/ParserAction/SetTremoloAtomdataAction.def

RANDONNUMBERSSOURCE =\
	Actions/RandomNumbersAction/SetRandomNumbersDistributionAction.cpp \
	Actions/RandomNumbersAction/SetRandomNumbersEngineAction.cpp
RANDONNUMBERSHEADER =\
	Actions/RandomNumbersAction/SetRandomNumbersDistributionAction.hpp \
	Actions/RandomNumbersAction/SetRandomNumbersEngineAction.hpp
RANDONNUMBERSDEFS =\
	Actions/RandomNumbersAction/SetRandomNumbersDistributionAction.def \
	Actions/RandomNumbersAction/SetRandomNumbersEngineAction.def
                 
SELECTIONATOMACTIONSOURCE = \
	Actions/SelectionAction/Atoms/AllAtomsAction.cpp \
	Actions/SelectionAction/Atoms/AllAtomsInsideCuboidAction.cpp \
	Actions/SelectionAction/Atoms/AllAtomsInsideSphereAction.cpp \
	Actions/SelectionAction/Atoms/AllAtomsOfMoleculeAction.cpp \
	Actions/SelectionAction/Atoms/AtomByElementAction.cpp \
	Actions/SelectionAction/Atoms/AtomByIdAction.cpp \
	Actions/SelectionAction/Atoms/ClearAllAtomsAction.cpp \
	Actions/SelectionAction/Atoms/NotAllAtomsAction.cpp \
	Actions/SelectionAction/Atoms/NotAllAtomsInsideCuboidAction.cpp \
	Actions/SelectionAction/Atoms/NotAllAtomsInsideSphereAction.cpp \
	Actions/SelectionAction/Atoms/NotAllAtomsOfMoleculeAction.cpp \
	Actions/SelectionAction/Atoms/NotAtomByElementAction.cpp \
	Actions/SelectionAction/Atoms/NotAtomByIdAction.cpp
SELECTIONATOMACTIONHEADER = \
	Actions/SelectionAction/Atoms/AllAtomsAction.hpp \
	Actions/SelectionAction/Atoms/AllAtomsInsideCuboidAction.hpp \
	Actions/SelectionAction/Atoms/AllAtomsInsideSphereAction.hpp \
	Actions/SelectionAction/Atoms/AllAtomsOfMoleculeAction.hpp \
	Actions/SelectionAction/Atoms/AtomByElementAction.hpp \
	Actions/SelectionAction/Atoms/AtomByIdAction.hpp \
	Actions/SelectionAction/Atoms/ClearAllAtomsAction.hpp \
	Actions/SelectionAction/Atoms/NotAllAtomsAction.hpp \
	Actions/SelectionAction/Atoms/NotAllAtomsInsideCuboidAction.hpp \
	Actions/SelectionAction/Atoms/NotAllAtomsInsideSphereAction.hpp \
	Actions/SelectionAction/Atoms/NotAllAtomsOfMoleculeAction.hpp \
	Actions/SelectionAction/Atoms/NotAtomByElementAction.hpp \
	Actions/SelectionAction/Atoms/NotAtomByIdAction.hpp
SELECTIONATOMACTIONDEFS = \
	Actions/SelectionAction/Atoms/AllAtomsAction.def \
	Actions/SelectionAction/Atoms/AllAtomsInsideCuboidAction.def \
	Actions/SelectionAction/Atoms/AllAtomsInsideSphereAction.def \
	Actions/SelectionAction/Atoms/AllAtomsOfMoleculeAction.def \
	Actions/SelectionAction/Atoms/AtomByElementAction.def \
	Actions/SelectionAction/Atoms/AtomByIdAction.def \
	Actions/SelectionAction/Atoms/ClearAllAtomsAction.def \
	Actions/SelectionAction/Atoms/NotAllAtomsAction.def \
	Actions/SelectionAction/Atoms/NotAllAtomsInsideCuboidAction.def \
	Actions/SelectionAction/Atoms/NotAllAtomsInsideSphereAction.def \
	Actions/SelectionAction/Atoms/NotAllAtomsOfMoleculeAction.def \
	Actions/SelectionAction/Atoms/NotAtomByElementAction.def \
	Actions/SelectionAction/Atoms/NotAtomByIdAction.def

SELECTIONMOLECULEACTIONSOURCE = \
	Actions/SelectionAction/Molecules/AllMoleculesAction.cpp \
	Actions/SelectionAction/Molecules/ClearAllMoleculesAction.cpp \
	Actions/SelectionAction/Molecules/MoleculeByFormulaAction.cpp \
	Actions/SelectionAction/Molecules/MoleculeByIdAction.cpp \
	Actions/SelectionAction/Molecules/MoleculeByNameAction.cpp \
	Actions/SelectionAction/Molecules/MoleculeByOrderAction.cpp \
	Actions/SelectionAction/Molecules/MoleculeOfAtomAction.cpp \
	Actions/SelectionAction/Molecules/NotAllMoleculesAction.cpp \
	Actions/SelectionAction/Molecules/NotMoleculeByFormulaAction.cpp \
	Actions/SelectionAction/Molecules/NotMoleculeByIdAction.cpp \
	Actions/SelectionAction/Molecules/NotMoleculeByNameAction.cpp \
	Actions/SelectionAction/Molecules/NotMoleculeByOrderAction.cpp \
	Actions/SelectionAction/Molecules/NotMoleculeOfAtomAction.cpp
SELECTIONMOLECULEACTIONHEADER = \
	Actions/SelectionAction/Molecules/AllMoleculesAction.hpp \
	Actions/SelectionAction/Molecules/ClearAllMoleculesAction.hpp \
	Actions/SelectionAction/Molecules/MoleculeByFormulaAction.hpp \
	Actions/SelectionAction/Molecules/MoleculeByIdAction.hpp \
	Actions/SelectionAction/Molecules/MoleculeByNameAction.hpp \
	Actions/SelectionAction/Molecules/MoleculeByOrderAction.hpp \
	Actions/SelectionAction/Molecules/MoleculeOfAtomAction.hpp \
	Actions/SelectionAction/Molecules/NotAllMoleculesAction.hpp \
	Actions/SelectionAction/Molecules/NotMoleculeByFormulaAction.hpp \
	Actions/SelectionAction/Molecules/NotMoleculeByIdAction.hpp \
	Actions/SelectionAction/Molecules/NotMoleculeByNameAction.hpp \
	Actions/SelectionAction/Molecules/NotMoleculeByOrderAction.hpp \
	Actions/SelectionAction/Molecules/NotMoleculeOfAtomAction.hpp
SELECTIONMOLECULEACTIONDEFS = \
	Actions/SelectionAction/Molecules/AllMoleculesAction.def \
	Actions/SelectionAction/Molecules/ClearAllMoleculesAction.def \
	Actions/SelectionAction/Molecules/MoleculeByFormulaAction.def \
	Actions/SelectionAction/Molecules/MoleculeByIdAction.def \
	Actions/SelectionAction/Molecules/MoleculeByNameAction.def \
	Actions/SelectionAction/Molecules/MoleculeByOrderAction.def \
	Actions/SelectionAction/Molecules/MoleculeOfAtomAction.def \
	Actions/SelectionAction/Molecules/NotAllMoleculesAction.def \
	Actions/SelectionAction/Molecules/NotMoleculeByFormulaAction.def \
	Actions/SelectionAction/Molecules/NotMoleculeByIdAction.def \
	Actions/SelectionAction/Molecules/NotMoleculeByNameAction.def \
	Actions/SelectionAction/Molecules/NotMoleculeByOrderAction.def \
	Actions/SelectionAction/Molecules/NotMoleculeOfAtomAction.def
	
TESSELATIONACTIONSOURCE = \
  Actions/TesselationAction/ConvexEnvelopeAction.cpp \
  Actions/TesselationAction/NonConvexEnvelopeAction.cpp               
TESSELATIONACTIONHEADER = \
  Actions/TesselationAction/ConvexEnvelopeAction.hpp \
  Actions/TesselationAction/NonConvexEnvelopeAction.hpp
TESSELATIONACTIONDEFS = \
  Actions/TesselationAction/ConvexEnvelopeAction.def \
  Actions/TesselationAction/NonConvexEnvelopeAction.def

UNDOACTIONSOURCE = \
  Actions/RedoAction.cpp \
  Actions/UndoAction.cpp 
UNDOACTIONHEADER = \
  Actions/RedoAction.hpp \
  Actions/UndoAction.hpp
UNDOACTIONDEFS = \
  Actions/RedoAction.def \
  Actions/UndoAction.def


WORLDACTIONSOURCE = \
  Actions/WorldAction/AddEmptyBoundaryAction.cpp \
  Actions/WorldAction/BoundInBoxAction.cpp \
  Actions/WorldAction/CenterInBoxAction.cpp \
  Actions/WorldAction/CenterOnEdgeAction.cpp \
  Actions/WorldAction/ChangeBoxAction.cpp \
  Actions/WorldAction/InputAction.cpp \
  Actions/WorldAction/OutputAction.cpp \
  Actions/WorldAction/RepeatBoxAction.cpp \
  Actions/WorldAction/ScaleBoxAction.cpp \
  Actions/WorldAction/SetDefaultNameAction.cpp \
  Actions/WorldAction/SetWorldTimeAction.cpp
WORLDACTIONHEADER = \
  Actions/WorldAction/AddEmptyBoundaryAction.hpp \
  Actions/WorldAction/BoundInBoxAction.hpp \
  Actions/WorldAction/CenterInBoxAction.hpp \
  Actions/WorldAction/CenterOnEdgeAction.hpp \
  Actions/WorldAction/ChangeBoxAction.hpp \
  Actions/WorldAction/InputAction.hpp \
  Actions/WorldAction/OutputAction.hpp \
  Actions/WorldAction/RepeatBoxAction.hpp \
  Actions/WorldAction/ScaleBoxAction.hpp \
  Actions/WorldAction/SetDefaultNameAction.hpp \
  Actions/WorldAction/SetWorldTimeAction.hpp
WORLDACTIONDEFS = \
  Actions/WorldAction/AddEmptyBoundaryAction.def \
  Actions/WorldAction/BoundInBoxAction.def \
  Actions/WorldAction/CenterInBoxAction.def \
  Actions/WorldAction/CenterOnEdgeAction.def \
  Actions/WorldAction/ChangeBoxAction.def \
  Actions/WorldAction/InputAction.def \
  Actions/WorldAction/OutputAction.def \
  Actions/WorldAction/RepeatBoxAction.def \
  Actions/WorldAction/ScaleBoxAction.def \
  Actions/WorldAction/SetDefaultNameAction.def \
  Actions/WorldAction/SetWorldTimeAction.def


noinst_LTLIBRARIES += \
	libMolecuilderActions.la \
	libMolecuilderActionPrototypes.la
libMolecuilderActions_la_includedir = $(includedir)/MoleCuilder/Actions/
libMolecuilderActionPrototypes_la_includedir = $(includedir)/MoleCuilder/Actions/

#	UIElements/libMolecuilderUI.la
nobase_libMolecuilderActions_la_include_HEADERS = ${ACTIONSHEADER}
nobase_libMolecuilderActionPrototypes_la_include_HEADERS = ${ACTIONPROTOTYPESHEADER} ${ACTIONPROTOTYPESDEFS}

## Define the source file list for the "libexample-@MOLECUILDER_API_VERSION@.la"
## target.  Note that @MOLECUILDER_API_VERSION@ is not interpreted by Automake and
## will therefore be treated as if it were literally part of the target name,
## and the variable name derived from that.
## The file extension .cc is recognized by Automake, and makes it produce
## rules which invoke the C++ compiler to produce a libtool object file (.lo)
## from each source file.  Note that it is not necessary to list header files
## which are already listed elsewhere in a _HEADERS variable assignment.
libMolecuilderActions_la_SOURCES = ${ACTIONSSOURCE}
libMolecuilderActionPrototypes_la_SOURCES = ${ACTIONPROTOTYPESSOURCE}

## Instruct libtool to include ABI version information in the generated shared
## library file (.so).  The library ABI version is defined in configure.ac, so
## that all version information is kept in one place.
#libMolecuilderActions_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)

## The generated configuration header is installed in its own subdirectory of
## $(libdir).  The reason for this is that the configuration information put
## into this header file describes the target platform the installed library
## has been built for.  Thus the file must not be installed into a location
## intended for architecture-independent files, as defined by the Filesystem
## Hierarchy Standard (FHS).
## The nodist_ prefix instructs Automake to not generate rules for including
## the listed files in the distribution on 'make dist'.  Files that are listed
## in _HEADERS variables are normally included in the distribution, but the
## configuration header file is generated at configure time and should not be
## shipped with the source tarball.
#libMolecuilderActions_libincludedir = $(libdir)/MoleCuilder/include
#nodist_libMolecuilderActions_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h

## Install the generated pkg-config file (.pc) into the expected location for
## architecture-dependent package configuration information.  Occasionally,
## pkg-config files are also used for architecture-independent data packages,
## in which case the correct install location would be $(datadir)/pkgconfig.
#pkgconfigdir = $(libdir)/pkgconfig
#pkgconfig_DATA = $(top_builddir)/MoleCuilder.pc
